Bug 151283 - LO Calc hangs when try to open XLS file
Summary: LO Calc hangs when try to open XLS file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0
Keywords: bibisected, bisected, filter:xls, regression
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2022-10-02 18:28 UTC by Roman Kuznetsov
Modified: 2022-10-05 08:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By: Noel Grandin


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2022-10-02 18:28:08 UTC
Description:
LO Calc hangs when try to open XLS file

Steps to Reproduce:
1. Try open attachment 165945 [details] from bug 108994 -> LO hangs


Actual Results:
LO hangs and doesn't open the XLS file

Expected Results:
LO just opens the XLS file


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 48b9cbc742de3f6120986cb6cafc92eb5009da82
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded

but LO opens the file in

Version: 7.4.0.3 (x64) / LibreOffice Community
Build ID: f85e47c08ddd19c015c0114a68350214f7066f5a
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Vulkan; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded

So it's a regression
Comment 1 Jean-Baptiste Faure 2022-10-02 19:29:44 UTC
Reproducible for me with Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: cf777cfcb22647b1f2d6ace307fbcc4f6d2cca30
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Ubuntu_20.04_x86-64
Calc: threaded

No problem with Version: 7.4.3.0.0+ / LibreOffice Community
Build ID: 4c935de2e6fa4124672c87e326225c01001cd79c
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Ubuntu_20.04_x86-64
Calc: threaded

Set status to NEW.Regression confirmed.

Best regards. JBF
Comment 2 Timur 2022-10-03 14:35:51 UTC
source sha:258a8d133d0548c7af51f4852260e9969df288fc
author	Noel Grandin <noel.grandin@collabora.co.uk>	Mon Aug 01 16:40:27
tdf#150034 very slow opening pathological chart
Comment 3 Noel Grandin 2022-10-03 18:41:54 UTC
The commit referenced by bibisect was reverted on master, so presumably this is not a problem on current master?
Comment 4 Timur 2022-10-03 19:17:02 UTC
IIUC there were 2 commits and just 1 was reverted.
Comment 5 Noel Grandin 2022-10-04 16:37:45 UTC
fix here: https://gerrit.libreoffice.org/c/core/+/140949
Comment 6 Commit Notification 2022-10-05 05:03:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a36173359d4614a8935e2f764acadfcf736e091c

tdf#151283 calc hangs when try to open XLS file

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Baptiste Faure 2022-10-05 08:48:36 UTC
Thank you very much Noël for the quick fix.
Verified fixed with Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: bf3df0fc73fc3757d3abb94465d5bcb2106c355f
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: fr-FR (fr_FR.UTF-8); UI: fr-FR
Ubuntu_20.04_x86-64
Calc: threaded

Best regards. JBF